package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Record;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface RecordRepo extends JpaRepository<Record, Long> {

    List<Record> findById(Long id);

    Page<Record> findByIdChannel(Long id, Pageable pageable);

    Page<Record> findByIdDevice(Long id, Pageable pageable);

    Page<Record> findByIdAudio(Long id, Pageable pageable);

}
