package cn.efunbox.audio;

import cn.efunbox.audio.clients.UserHttp;
import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.plugin.AliStsOssAuth;
import cn.efunbox.audio.service.DeviceService;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.mock.web.MockServletContext;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;

import java.util.UUID;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest    //1.5.7才支持
public class AudioApplicationTests {

	@Autowired
	private DeviceService deviceService;

	@Autowired
	private StringRedisTemplate stringRedisTemplate;

	@Autowired
	private AliStsOssAuth aliStsOssAuth;

	@Autowired
	private UserHttp userHttp;

	@Test
	public void contextLoads() {
		for(int i=0;i<10;i++){
			String uuid = UUID.randomUUID().toString().replaceAll("-", "");
			System.out.println(uuid);
		}
	}

	@Test
	public void register(){
		Device device = deviceService.Register(Long.valueOf(1), Long.valueOf(1));
		if(device==null){
			System.out.println("fail to register");
			return;
		}
		System.out.println(device.toString());

	}

	@Test
	public void aliAuth(){
//		try {
//			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss'Z'");
//			Date dateExp = sdf.parse("2017-10-12T04:01:32Z");
//			long expiration = dateExp.getTime();
//			long curTime = new Date().getTime();
//		}catch (ParseException e){
//			System.out.println(e.getMessage());
//		}

		// 测试redis保存字符串
		stringRedisTemplate.opsForValue().set("aaa", "111");
		Assert.assertEquals("111", stringRedisTemplate.opsForValue().get("aaa"));
		System.out.println(stringRedisTemplate.opsForValue().get("aaa"));

		String url = aliStsOssAuth.AuthUrl("http://efunaudio.oss-cn-beijing.aliyuncs.com/audio/001/00103035/00103035018.mp3");
	}

	@Test
	public void RegisterUser(){
		System.out.println("start");
//		String res = userHttp.Register();
//		String res = userRibbon.Register();
//		String res = userFeign.Register(1,2);
//		System.out.println(res);
	}

}
